## ledit 1.10

=== Makefile ===
# $Id: Makefile,v 1.16 2001/06/16 13:28:43 ddr Exp $

BINDIR=/usr/local/bin
LIBDIR=/usr/local/lib
MANDIR=/usr/man/manl
COMP=ocamlc
PP=camlp4r
ZOFILES=cursor.cmo ledit.cmo go.cmo
TARGET=ledit.out
MKDIR=mkdir -p

all: pa_local.cmo $(TARGET) ledit.l

$(TARGET): $(ZOFILES)
	$(COMP) -custom unix.cma -cclib -lunix $(ZOFILES) -o $(TARGET)

ledit.l: ledit.l.tpl go.ml
	VERSION=`sed -n -e 's/^.* version = "\(.*\)".*$$/\1/p' go.ml`; \
	sed s/LEDIT_VERSION/$$VERSION/ ledit.l.tpl > ledit.l

pa_local.cmo: pa_local.ml
	$(PP) pa_extend.cmo q_MLast.cmo -warn_seq pa_local.ml -o pa_local.ppo
	$(COMP) -I `camlp4 -where` -c -impl pa_local.ppo
	/bin/rm -f pa_local.ppo

clean:
	/bin/rm -f *.cm[oix] *.pp[oi] *.o *.bak $(TARGET) ledit.l

install:
	-$(MKDIR) $(BINDIR) $(MANDIR)
	-cp ledit.out $(BINDIR)/ledit
	-cp ledit.l $(MANDIR)/ledit.l

depend:
	> .depend.new
	for i in $(ZOFILES:.cmo=.ml); do \
	  $(PP) ./pa_local.cmo pr_depend.cmo $$i >> .depend.new; \
	done
	mv .depend .depend.old
	mv .depend.new .depend

include .depend

.ml.cmo:
	$(PP) ./pa_local.cmo -warn_seq $< -o $*.ppo
	$(COMP) -I `camlp4 -where` -c -impl $*.ppo
	/bin/rm -f $*.ppo
.mli.cmi:
	$(PP) $< -o $*.ppi
	$(COMP) -c -intf $*.ppi
	/bin/rm -f $*.ppi

.SUFFIXES: .ml .cmo .mli .cmi

## ledit 1.11

=== Makefile ===
# $Id: Makefile,v 1.19 2001/10/03 09:36:34 ddr Exp $

BINDIR=/usr/local/bin
LIBDIR=/usr/local/lib
MANDIR=/usr/man/manl
COMP=ocamlc
COMPOPT=ocamlopt
PP=camlp4r
ZOFILES=cursor.cmo ledit.cmo go.cmo
TARGET=ledit.out
MKDIR=mkdir -p

all: pa_local.cmo $(TARGET) ledit.l

$(TARGET): $(ZOFILES)
	$(COMP) -custom unix.cma $(ZOFILES) -o $(TARGET)

$(TARGET:.out=.opt): $(ZOFILES:.cmo=.cmx)
	$(COMPOPT) unix.cmxa $(ZOFILES:.cmo=.cmx) -o $(TARGET:.out=.opt)

ledit.l: ledit.l.tpl go.ml
	VERSION=`sed -n -e 's/^.* version = "\(.*\)".*$$/\1/p' go.ml`; \
	sed s/LEDIT_VERSION/$$VERSION/ ledit.l.tpl > ledit.l

pa_local.cmo: pa_local.ml
	$(PP) pa_extend.cmo q_MLast.cmo pa_local.ml -o pa_local.ppo
	$(COMP) -I `camlp4 -where` -c -impl pa_local.ppo
	/bin/rm -f pa_local.ppo

clean:
	/bin/rm -f *.cm[oix] *.pp[oi] *.o *.bak $(TARGET) ledit.l

install:
	-$(MKDIR) $(BINDIR) $(MANDIR)
	-cp ledit.out $(BINDIR)/ledit
	-cp ledit.l $(MANDIR)/ledit.l

depend:
	> .depend.new
	for i in $(ZOFILES:.cmo=.ml); do \
	  $(PP) ./pa_local.cmo pr_depend.cmo $$i >> .depend.new; \
	done
	mv .depend .depend.old
	mv .depend.new .depend

include .depend

.SUFFIXES: .ml .cmo .cmx .mli .cmi

.ml.cmo:
	$(PP) ./pa_local.cmo $< -o $*.ppo
	$(COMP) -I `camlp4 -where` -c -impl $*.ppo
	/bin/rm -f $*.ppo
.ml.cmx:
	$(PP) ./pa_local.cmo $< -o $*.ppo
	$(COMPOPT) -I `camlp4 -where` -c -impl $*.ppo
	/bin/rm -f $*.ppo
.mli.cmi:
	$(PP) $< -o $*.ppi
	$(COMP) -c -intf $*.ppi
	/bin/rm -f $*.ppi

## ledit 1.13

=== Makefile ===
# $Id: Makefile,v 1.23 2007/01/03 09:42:45 deraugla Exp $

BINDIR=/usr/local/bin
LIBDIR=/usr/local/lib
MANDIR=/usr/local/man/man1
OCAMLC=ocamlc
OCAMLOPT=ocamlopt
CAMLP4=camlp4 -I ext pa_s.cmo pr_dump.cmo
ZOFILES=cursor.cmo ledit.cmo go.cmo
TARGET=ledit.out
MKDIR=mkdir -p
EXT=ext/pa_s.cmo ext/pa_def.cmo ext/pa_local.cmo

all: $(EXT) $(TARGET) ledit.1

$(TARGET): $(ZOFILES)
	$(OCAMLC) -custom unix.cma $(ZOFILES) -o $(TARGET)

$(TARGET:.out=.opt): $(ZOFILES:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(ZOFILES:.cmo=.cmx) -o $(TARGET:.out=.opt)

ledit.1: ledit.1.tpl go.ml
	VERSION=`sed -n -e 's/^.* version = "\(.*\)".*$$/\1/p' go.ml`; \
	sed s/LEDIT_VERSION/$$VERSION/ ledit.1.tpl > ledit.1

clean:
	/bin/rm -f *.cm[iox] *.pp[oi] *.o ext/*.cm[io] *.bak $(TARGET) ledit.1

install:
	-$(MKDIR) $(BINDIR) $(MANDIR)
	-cp ledit.out $(BINDIR)/ledit
	-cp ledit.1 $(MANDIR)/ledit.1

depend:
	> .depend.new
	for i in $(ZOFILES:.cmo=.ml); do \
	  $(CAMLP4) pr_depend.cmo $$i >> .depend.new; \
	done
	mv .depend .depend.old
	mv .depend.new .depend

include .depend

ext/%.cmo: ext/%.ml
	camlp4r -I ext -loc loc $< -o ext/$*.ppo
	$(OCAMLC) -I +camlp4 -c -impl ext/$*.ppo
	rm -f ext/$*.ppo

%.cmo: %.ml
	$(CAMLP4) $< -o $*.ppo
	$(OCAMLC) -I +camlp4 -c -impl $*.ppo
	/bin/rm -f $*.ppo
%.cmx: %.ml
	$(CAMLP4) $< -o $*.ppo
	$(OCAMLOPT) -I +camlp4 -c -impl $*.ppo
	/bin/rm -f $*.ppo
%.cmi: %.mli
	$(CAMLP4) $< -o $*.ppi
	$(OCAMLC) -c -intf $*.ppi
	/bin/rm -f $*.ppi

## ledit 1.15

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 1.23 2007/01/03 09:42:45 deraugla Exp $
+# $Id: Makefile,v 1.24 2007/07/16 09:03:07 deraugla Exp $
 
 BINDIR=/usr/local/bin
 LIBDIR=/usr/local/lib
 MANDIR=/usr/local/man/man1
 OCAMLC=ocamlc
 OCAMLOPT=ocamlopt
-CAMLP4=camlp4 -I ext pa_s.cmo pr_dump.cmo
+CAMLP5=camlp5 -I ext pa_s.cmo pr_dump.cmo
 ZOFILES=cursor.cmo ledit.cmo go.cmo
 TARGET=ledit.out
 MKDIR=mkdir -p
@@ -34,7 +34,7 @@
 depend:
 	> .depend.new
 	for i in $(ZOFILES:.cmo=.ml); do \
-	  $(CAMLP4) pr_depend.cmo $$i >> .depend.new; \
+	  $(CAMLP5) pr_depend.cmo $$i >> .depend.new; \
 	done
 	mv .depend .depend.old
 	mv .depend.new .depend
@@ -42,19 +42,19 @@
 include .depend
 
 ext/%.cmo: ext/%.ml
-	camlp4r -I ext -loc loc $< -o ext/$*.ppo
-	$(OCAMLC) -I +camlp4 -c -impl ext/$*.ppo
+	camlp5r -I ext -loc loc $< -o ext/$*.ppo
+	$(OCAMLC) -I +camlp5 -c -impl ext/$*.ppo
 	rm -f ext/$*.ppo
 
 %.cmo: %.ml
-	$(CAMLP4) $< -o $*.ppo
-	$(OCAMLC) -I +camlp4 -c -impl $*.ppo
+	$(CAMLP5) $< -o $*.ppo
+	$(OCAMLC) -I +camlp5 -c -impl $*.ppo
 	/bin/rm -f $*.ppo
 %.cmx: %.ml
-	$(CAMLP4) $< -o $*.ppo
-	$(OCAMLOPT) -I +camlp4 -c -impl $*.ppo
+	$(CAMLP5) $< -o $*.ppo
+	$(OCAMLOPT) -I +camlp5 -c -impl $*.ppo
 	/bin/rm -f $*.ppo
 %.cmi: %.mli
-	$(CAMLP4) $< -o $*.ppi
+	$(CAMLP5) $< -o $*.ppi
 	$(OCAMLC) -c -intf $*.ppi
 	/bin/rm -f $*.ppi

## ledit 2.00

=== Makefile ===
--- 
+++ 
@@ -1,23 +1,25 @@
-# $Id: Makefile,v 1.24 2007/07/16 09:03:07 deraugla Exp $
+# $Id: Makefile,v 1.26 2008/01/18 13:26:46 deraugla Exp $
 
 BINDIR=/usr/local/bin
 LIBDIR=/usr/local/lib
 MANDIR=/usr/local/man/man1
 OCAMLC=ocamlc
 OCAMLOPT=ocamlopt
-CAMLP5=camlp5 -I ext pa_s.cmo pr_dump.cmo
-ZOFILES=cursor.cmo ledit.cmo go.cmo
+CAMLP5=camlp5r -I ext
+OBJS=cursor.cmo ledit.cmo go.cmo
+OTHER_OBJS=unix.cma -I `camlp5 -where` gramlib.cma
+OTHER_XOBJS=unix.cmxa -I `camlp5 -where` gramlib.cmxa
 TARGET=ledit.out
 MKDIR=mkdir -p
-EXT=ext/pa_s.cmo ext/pa_def.cmo ext/pa_local.cmo
+EXT=ext/pa_def.cmo ext/pa_local.cmo
 
 all: $(EXT) $(TARGET) ledit.1
 
-$(TARGET): $(ZOFILES)
-	$(OCAMLC) -custom unix.cma $(ZOFILES) -o $(TARGET)
+$(TARGET): $(OBJS)
+	$(OCAMLC) -custom $(OTHER_OBJS) $(OBJS) -o $(TARGET)
 
-$(TARGET:.out=.opt): $(ZOFILES:.cmo=.cmx)
-	$(OCAMLOPT) unix.cmxa $(ZOFILES:.cmo=.cmx) -o $(TARGET:.out=.opt)
+$(TARGET:.out=.opt): $(OBJS:.cmo=.cmx)
+	$(OCAMLOPT) $(OTHER_XOBJS) $(OBJS:.cmo=.cmx) -o $(TARGET:.out=.opt)
 
 ledit.1: ledit.1.tpl go.ml
 	VERSION=`sed -n -e 's/^.* version = "\(.*\)".*$$/\1/p' go.ml`; \
@@ -33,7 +35,7 @@
 
 depend:
 	> .depend.new
-	for i in $(ZOFILES:.cmo=.ml); do \
+	for i in $(OBJS:.cmo=.ml); do \
 	  $(CAMLP5) pr_depend.cmo $$i >> .depend.new; \
 	done
 	mv .depend .depend.old

## ledit 2.01

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.26 2008/01/18 13:26:46 deraugla Exp $
+# $Id: Makefile,v 1.27 2008/05/22 08:35:45 deraugla Exp $
 
 BINDIR=/usr/local/bin
 LIBDIR=/usr/local/lib
@@ -45,16 +45,16 @@
 
 ext/%.cmo: ext/%.ml
 	camlp5r -I ext -loc loc $< -o ext/$*.ppo
-	$(OCAMLC) -I +camlp5 -c -impl ext/$*.ppo
+	$(OCAMLC) -I `camlp5 -where` -c -impl ext/$*.ppo
 	rm -f ext/$*.ppo
 
 %.cmo: %.ml
 	$(CAMLP5) $< -o $*.ppo
-	$(OCAMLC) -I +camlp5 -c -impl $*.ppo
+	$(OCAMLC) -I `camlp5 -where` -c -impl $*.ppo
 	/bin/rm -f $*.ppo
 %.cmx: %.ml
 	$(CAMLP5) $< -o $*.ppo
-	$(OCAMLOPT) -I +camlp5 -c -impl $*.ppo
+	$(OCAMLOPT) -I `camlp5 -where` -c -impl $*.ppo
 	/bin/rm -f $*.ppo
 %.cmi: %.mli
 	$(CAMLP5) $< -o $*.ppi

## ledit 2.02.1

=== debian/changelog ===
ledit (2.02.1-3build3) precise; urgency=low

  * Rebuild with ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 12:56:38 +0000

ledit (2.02.1-3build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:43:35 +0000

ledit (2.02.1-3build1) precise; urgency=low

  * Rebuild for new camlp5 ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 13:00:30 +0000

ledit (2.02.1-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Recompile with OCaml 3.12.1 (no changes)

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 23:29:41 +0100

ledit (2.02.1-2) unstable; urgency=low

  * Rebuild with OCaml 3.12.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 14:48:24 +0200

ledit (2.02.1-1) unstable; urgency=low

  * New upstream release
    - remove all patches (merged upstream)
  * Switch source package format to 3.0 (quilt)
  * debian/control:
    - bump Standards-Version to 3.9.1
    - bump versioned build-dependency on camlp5 to ease camlp5 transition

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2011 18:20:22 +0100

ledit (2.01-6) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Feb 2010 21:33:25 +0100

ledit (2.01-5) unstable; urgency=low

  [ Stéphane Glondu ]
  * debian/control:
    - update my e-mail address and remove DMUA
    - update Standards-Version to 3.8.3 (no changes)

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Simplify debian/rules
    - Use debian/clean
    - Use dh_ocamldoc (Closes: #549718)
    - Use dh_ocaml
   * Add dh_ocaml variables ${misc:Depends} in debian/control

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 06 Oct 2009 15:05:26 +0200

ledit (2.01-4) unstable; urgency=low

  [ Stephane Glondu ]
  * Add myself to Uploaders and DMUA
  * Fix bashism in debian/rules (Closes: #535394)
  * debian/control:
    - update Standards-Version to 3.8.2
    - move libledit-ocaml-dev to section ocaml
    - add Homepage field
    - add versioned dependency to camlp5 to ease OCaml 3.11.1 transition
  * Generate API documentation and install ledit.mli and cursor.mli

  [ Sylvain Le Gall ]
  * Add debian/README.source for standards-version compliance
  * Update debian/copyright using
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove lintian overrides
  * Add myself to Uploaders

 -- Stephane Glondu <steph@glondu.net>  Thu, 02 Jul 2009 09:17:01 +0200

ledit (2.01-3) unstable; urgency=low

  * provide for the (new) virtual package "readline-editor"
  * register ledit executable as an alternative for readline-editor
  * bump Standards-Version to 3.8.1 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 27 Apr 2009 18:19:23 +0200

ledit (2.01-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

  [ Samuel Mimram ]
  * Use dh-ocaml's predefined variables and cleanup rules.

 -- Samuel Mimram <smimram@debian.org>  Mon, 23 Feb 2009 09:36:16 +0100

ledit (2.01-1) experimental; urgency=low

  [ Stephane Glondu ]
  * Switching packaging to git

  [ Stefano Zacchiroli ]
  * New Upstream Version
  * Rebuild with OCaml 3.11 (strengthen dep on camlp5)
  * debian/control: bump Standards-Version (no changes needed)
  * debian/rules: prefer "dh_prep" to deprecated "dh_clean -k"

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Feb 2009 17:58:05 +0100

ledit (2.00-4) unstable; urgency=low

  * split a new libledit-ocaml-dev binary package, shipping Ledit as a
    library to build interactive programs with line editing capabilities
  * debian/control: move ocaml build-deps from build-dep-indep to
    build-dep since now we ship an arch:any package
  * bump debhelper compatibility level to 7

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 03 Jun 2008 11:44:10 +0200

ledit (2.00-3) unstable; urgency=low

  * Rebuild against OCaml 3.10.2

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 May 2008 11:52:50 +0200

ledit (2.00-2) unstable; urgency=low

  * Rebuild against ocaml 3.10.1.
  * Add myself to Uploaders.
  * Remove the binary-arch rule from debian/rules; build the package in
    binary-indep instead (thanks, lintian!).

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Feb 2008 11:02:01 +0100

ledit (2.00-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Jan 2008 19:17:56 +0100

ledit (1.17-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Wed, 16 Jan 2008 10:25:15 +0000

ledit (1.16-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Samuel Mimram ]
  * New upstream release.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Fri, 04 Jan 2008 09:44:28 +0000

ledit (1.15-1) unstable; urgency=low

  * new upstream release
  * debian/watch
    - better regexp to avoid fooling uscan when creating the .orig.tar.gz
      symlink
  * debian/control
    - bump ocaml-nox dep build-dep to 3.10
  * debian/patches
    - disable camlp5 patch, now upstream relies natively on camlp5

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 16:06:37 +0200

ledit (1.14-1) experimental; urgency=low

  * new upstream release
  * rebuild against ocaml 3.10.0 and upload to experimental
  * debian/control.in
    - file removed, no longer needed
  * debian/control
    - add build-dep on camlp5, since we need the classical camlp4
    - bump debhelper build-dep to 5
  * debian/watch
    - add watch file
  * debian/patches
    - remove ledit.dpatch, no longer needed
    - add camlp5.dpatch, to build properly against (renamed) classical camlp4
  * debian/compat
    - bump debhelper compatibility level to 5

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 11 Jul 2007 11:09:47 +0200



=== debian/control ===
Source: ledit
Section: editors
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>,
 Sylvain Le Gall <gildor@debian.org>
Build-Depends:
 debhelper (>> 7.0.0),
 dh-ocaml (>= 0.9~),
 ocaml-nox (>= 3.11.1-3~),
 camlp5 (>= 6)
Standards-Version: 3.9.1
Homepage: http://cristal.inria.fr/~ddr/ledit/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ledit.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ledit.git

Package: ledit
Architecture: all
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: readline-editor
Description: line editor for interactive programs
 Ledit is a line editor, allowing to use control commands like in emacs
 or in shells (bash, tcsh). To be used with interactive commands. It is
 written in OCaml and Camlp4 and uses the library unix.cma.

Package: libledit-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ${ocaml:Depends},
 ocaml-findlib,
 camlp5,
 ${shlib:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: OCaml line editor library
 Ledit is a line editor, allowing to use control commands like in emacs
 or in shells (bash, tcsh). To be used with interactive commands. It is
 written in OCaml and Camlp4 and uses the library unix.cma.
 .
 This package ships Ledit as a development library, so that you can use
 it to build interactive programs with line editing capabilities.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlinit.mk

DESTDIR = $(CURDIR)/debian/ledit
LEDIT_LIBDIR = $(CURDIR)/debian/libledit-ocaml-dev/$(OCAML_STDLIB_DIR)/ledit

#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp ocamlinit-stamp
build-stamp:
	dh_testdir
	$(MAKE) CUSTOM=
	if [ $(OCAML_OPT_ARCH) ]; then $(MAKE) opt; fi
	touch build-stamp

clean: ocamlinit-clean
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install-indep: build
	dh_testdir -i
	dh_testroot -i
	dh_prep -i
	dh_installdirs -i
	$(MAKE) install BINDIR=$(DESTDIR)/usr/bin MANDIR=$(DESTDIR)/usr/share/man/man1

install-arch: build
	dh_testdir -s
	dh_testroot -s
	dh_prep -s
	dh_installdirs -s
	mkdir -p $(LEDIT_LIBDIR)
	$(MAKE) install-lib LEDIT_LIBDIR=$(LEDIT_LIBDIR)
	dh_install -s
	dh_ocamldoc

binary-indep: build install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i ledit.1
	dh_installinfo -i
	dh_installchangelogs -i CHANGES
	dh_link -i
	dh_strip -X ledit -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_ocaml -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install-arch
	dh_testdir -s
	dh_testroot -s
	dh_installdocs -s
	dh_installexamples -s
	dh_installinfo -s
	dh_installchangelogs -s CHANGES
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_ocaml -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary install configure

## ledit 2.03

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.27 2008/05/22 08:35:45 deraugla Exp $
+# $Id: Makefile,v 1.28 2010-11-19 09:34:51 deraugla Exp $
 
 BINDIR=/usr/local/bin
 LIBDIR=/usr/local/lib
@@ -12,11 +12,15 @@
 TARGET=ledit.out
 MKDIR=mkdir -p
 EXT=ext/pa_def.cmo ext/pa_local.cmo
+CUSTOM=-custom
+LEDIT_LIBDIR=$(shell $(OCAMLC) -where)/ledit
 
 all: $(EXT) $(TARGET) ledit.1
+all: ledit.cma
+opt: ledit.cmxa
 
 $(TARGET): $(OBJS)
-	$(OCAMLC) -custom $(OTHER_OBJS) $(OBJS) -o $(TARGET)
+	$(OCAMLC) $(CUSTOM) $(OTHER_OBJS) $(OBJS) -o $(TARGET)
 
 $(TARGET:.out=.opt): $(OBJS:.cmo=.cmx)
 	$(OCAMLOPT) $(OTHER_XOBJS) $(OBJS:.cmo=.cmx) -o $(TARGET:.out=.opt)
@@ -25,13 +29,30 @@
 	VERSION=`sed -n -e 's/^.* version = "\(.*\)".*$$/\1/p' go.ml`; \
 	sed s/LEDIT_VERSION/$$VERSION/ ledit.1.tpl > ledit.1
 
+ledit.cma: cursor.cmo ledit.cmo
+	$(OCAMLC) -a -o $@ $^
+ledit.cmxa: cursor.cmx ledit.cmx
+	$(OCAMLOPT) -a -o $@ $^
+
 clean:
 	/bin/rm -f *.cm[iox] *.pp[oi] *.o ext/*.cm[io] *.bak $(TARGET) ledit.1
+	rm -f ledit.cma ledit.cmxa *.a
+	rm -f META
 
 install:
 	-$(MKDIR) $(BINDIR) $(MANDIR)
 	-cp ledit.out $(BINDIR)/ledit
 	-cp ledit.1 $(MANDIR)/ledit.1
+
+install-lib: META
+	-$(MKDIR) $(LEDIT_LIBDIR)
+	cp META $(LEDIT_LIBDIR)/
+	cp ledit.cma ledit.cmi cursor.cmi $(LEDIT_LIBDIR)/
+	if [ -f ledit.cmxa ] ; then cp ledit.cmxa ledit.a $(LEDIT_LIBDIR)/ ; fi
+
+META: META.tpl
+	VERSION=`sed -n -e 's/^.* version = "\(.*\)".*$$/\1/p' go.ml`; \
+	sed s/LEDIT_VERSION/$$VERSION/ META.tpl > META
 
 depend:
 	> .depend.new

=== debian/changelog ===
ledit (2.03-4build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 10:14:20 -0600

ledit (2.03-4) unstable; urgency=medium

  * Rebuild with OCaml 4.02.3

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 Oct 2015 19:13:47 +0200

ledit (2.03-3) unstable; urgency=medium

  * Misspelled shlibs in d/control. Thanks to Chris Lamb! (closes: #792968)
  * d/copyright: short name of license according to standard.
  * Standards-Version 3.9.6 (no change)
  * d/control: canonical addresses in VCS-* fields
  * Fix typo in manpage ("allows one to")
  * drop README.source which is no longer relevant.

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Aug 2015 15:07:24 +0200

ledit (2.03-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Compile with OCaml 4.01.0

  [ Ralf Treinen ]
  * new patch manpage-typos: fix some typos in ledit.1 manpage. Thanks a
    lot to A. Costa! (closes: #672479)
  * debian/copyright header paragraph: add format, field names as required
    by format 1.0, drop fields not allowd in format 1.0

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Dec 2013 20:10:11 +0100

ledit (2.03-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release

  [ Ralf Treinen ]
  * debian/rules: added targets build-{arch,indep}
  * Added myself as uploader.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Mar 2012 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>,
- Sylvain Le Gall <gildor@debian.org>
+ Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper (>> 7.0.0),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.1-3~),
  camlp5 (>= 6)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.6
 Homepage: http://cristal.inria.fr/~ddr/ledit/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ledit.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ledit.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ledit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ledit.git
 
 Package: ledit
 Architecture: all
@@ -36,7 +36,7 @@
  ${ocaml:Depends},
  ocaml-findlib,
  camlp5,
- ${shlib:Depends},
+ ${shlibs:Depends},
  ${misc:Depends}
 Provides:
  ${ocaml:Provides}

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,10 @@
 	dh_testdir
 	touch configure-stamp
 
-build: configure-stamp build-stamp ocamlinit-stamp
+build: build-arch build-indep
+build-arch: configure-stamp build-stamp ocamlinit-stamp
+build-indep: configure-stamp build-stamp ocamlinit-stamp
+
 build-stamp:
 	dh_testdir
 	$(MAKE) CUSTOM=

## ledit 2.04

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.28 2010-11-19 09:34:51 deraugla Exp $
+# $Id: Makefile,v 1.28 2010/11/19 09:34:51 deraugla Exp $
 
 BINDIR=/usr/local/bin
 LIBDIR=/usr/local/lib

=== debian/changelog ===
ledit (2.04-8build13) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 13:34:38 +0200

ledit (2.04-8build12) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 11:06:58 +0200

ledit (2.04-8build11) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 19:58:50 -0400

ledit (2.04-8build10) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:44:34 +0100

ledit (2.04-8build9) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:37:20 +0100

ledit (2.04-8build8) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:24:45 +0100

ledit (2.04-8build7) plucky; urgency=medium

  * Rebuild against latest camlp5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Jan 2025 16:41:07 -0500

ledit (2.04-8build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jan 2025 09:09:32 +0100

ledit (2.04-8build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:26:40 +0100

ledit (2.04-8build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:04:57 +0100

ledit (2.04-8build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:42:15 +0200

ledit (2.04-8build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:48:56 +0200

ledit (2.04-8build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:49:28 +0200

ledit (2.04-8) unstable; urgency=medium

  * Fix compilation with OCaml 5.2.0 (Closes: #1073884)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Aug 2024 03:52:29 +0200

ledit (2.04-7) unstable; urgency=medium

  * Make ledit an arch:any package (Closes: #1051475)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Sep 2023 17:15:06 +0200

ledit (2.04-6) unstable; urgency=medium

  * Fix compilation with camlp5 8.00.02 (Closes: #1004052)
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 06:07:28 +0100

ledit (2.04-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 14:03:47 +0200

ledit (2.04-4) unstable; urgency=medium

  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 13:22:35 +0100

ledit (2.04-3) unstable; urgency=medium

  * Move bash-completion to Build-Depends, so that we can use dh --with
    bash_completion

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2019 14:04:37 +0200

ledit (2.04-2) unstable; urgency=medium

  * Bump debhelper compat level to 12 and switch to dh
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2019 08:48:00 +0200

ledit (2.04-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* fields
  * Remove Samuel from Uploaders as he is no longer a DD. Many thanks
    to Samuel for his past work in our team!

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 14:03:05 +0200

ledit (2.03-6) unstable; urgency=medium

  * Recompile with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Sep 2017 15:30:38 +0200

ledit (2.03-5) unstable; urgency=medium

  * Standards-Version 3.9.8 (no change)
  * Debhelper compatibility level 10:
    - bump debian/compat
    - bump build-dependency on debhelper
  * Vcs-{Git,Browser}: use secure URI
  * debian/rules: replace deprecated debhelper option "-s" by "-a"
  * add bash-completion:
    - add build-dependency on bash-completion
    - add debian/ledit.bash-completion
    - debian/rules: invoke dh_bash-completion

 -- Ralf Treinen <treinen@debian.org>  Sat, 17 Dec 2016 11:29:40 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/ledit
LEDIT_LIBDIR = $(CURDIR)/debian/libledit-ocaml-dev/$(OCAML_STDLIB_DIR)/ledit

%:
	dh $@ --with ocaml,bash_completion

override_dh_auto_build:
	$(MAKE) CUSTOM=
	if [ $(OCAML_OPT_ARCH) ]; then $(MAKE) opt; fi

override_dh_auto_install:
	$(MAKE) install BINDIR=$(DESTDIR)/usr/bin MANDIR=$(DESTDIR)/usr/share/man/man1
	mkdir -p $(LEDIT_LIBDIR)
	$(MAKE) install-lib LEDIT_LIBDIR=$(LEDIT_LIBDIR)

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://cristal.inria.fr/~ddr/ledit/ distrib/src/ledit-(.*)\.tgz
